Bug 767087 - log the values of the xlator options in the init function
log the values of the xlator options in the init function
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-13 03:08 EST by Raghavendra Bhat
Modified: 2016-02-17 19:02 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:03:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2011-12-13 03:08:47 EST
Description of problem:

At the init of each xlator the values of the options should be logged in the log file, whether the option is provided by the user or default. It helps understanding the behavior of the volume. 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-02-09 11:00:17 EST
CHANGE: http://review.gluster.com/2647 (core: log xlator options in init) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-10 02:12:07 EDT
[2012-05-10 11:39:56.747634] D [client.c:2299:client_init_rpc] 0-mirror-client-5: client init successful
[2012-05-10 11:39:56.747648] D [client.c:2324:client_init_grace_timer] 0-mirror-client-4: lk-heal = off
[2012-05-10 11:39:56.747657] D [client.c:2335:client_init_grace_timer] 0-mirror-client-4: Client grace timeout value = 10
[2012-05-10 11:39:56.747668] D [options.c:1053:xlator_option_init_path] 0-mirror-client-4: option remote-subvolume using set value /mnt/sda8/export4


Checked with glusterfs-3.3.0qa40 and the values of different options of the xlators are printed in the log file in the DEBUG mode.

Note You need to log in before you can comment on or make changes to this bug.